Bug 142818 - Nano does not display characters ��� properly
Nano does not display characters ��� properly
Product: Fedora
Classification: Fedora
Component: nano (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Depends On:
  Show dependency treegraph
Reported: 2004-12-14 09:30 EST by Henrik Karlsson
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.3.12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-11 15:45:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Henrik Karlsson 2004-12-14 09:30:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
When typing characters like ������ in nano the don't appear properly.
Sometimes the characters become empty squares and sometimes they
become other characters.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. start nano from a xterm window
2. type ������

Actual Results:  �����^�^

Expected Results:  ������

Additional info:
Comment 1 Henrik Karlsson 2004-12-14 09:34:52 EST
The actual charcters is (html entity format)
Comment 2 Matthew Miller 2006-07-10 17:41:21 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 John Thacker 2006-11-11 15:45:45 EST
nano prior to 1.3.12  doesn't properly support Unicode, which causes issues with
FC3.  (http://www.nano-editor.org/dist/v1.3/faq.html#5.3)  You can workaround
this by changing your locale to a non-Unicode one.

FC6 (and RHEL5) have 1.3.12.

Note You need to log in before you can comment on or make changes to this bug.